summaryrefslogtreecommitdiffstats
path: root/test/compilation/002-scanbuild
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-05-05 18:43:21 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-05-05 18:43:21 +0000
commit104f986b0650b8f93540785d2bcf486905e49b62 (patch)
tree2b2ae5113d9b57425d4bb3f726e325316b87e00a /test/compilation/002-scanbuild
parentInitial commit. (diff)
downloadchrony-6c4737470db688877d0a4db6ad45be98a0e9efa0.tar.xz
chrony-6c4737470db688877d0a4db6ad45be98a0e9efa0.zip
Adding upstream version 3.4.upstream/3.4upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'test/compilation/002-scanbuild')
-rwxr-xr-xtest/compilation/002-scanbuild15
1 files changed, 15 insertions, 0 deletions
diff --git a/test/compilation/002-scanbuild b/test/compilation/002-scanbuild
new file mode 100755
index 0000000..da87407
--- /dev/null
+++ b/test/compilation/002-scanbuild
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+cd ../..
+
+for opts in \
+ "--host-system=Linux" \
+ "--host-system=NetBSD" \
+ "--host-system=FreeBSD" \
+ "--without-nettle" \
+ "--without-nettle --without-nss" \
+ "--without-nettle --without-nss --without-tomcrypt"
+do
+ ./configure $opts
+ scan-build make "$@" || exit 1
+done